SYSTEMD-SSH-ISSUE(1)

NOM
systemd-ssh-issue – Générateur de substitutions d’invite de connexion SSH

SYNOPSIS

/usr/lib/systemd/systemd-ssh-issue --make-vsock/usr/lib/systemd/systemd-ssh-issue --rm-vsock

DESCRIPTION

systemd-ssh-issue est un petit outil qui génère un fichier de substitution /run/issue.d/50-ssh-vsock.issue si la prise en charge de AF_VSOCK est disponible dans le noyau et l’environnement de machine virtuelle. Le fichier contient une brève information sur la manière de contacter le système local à travers SSH-over-AF_VSOCK ; en particulier, il indique le CID (Context Identifier) AF_VSOCK du système. Classiquement, le fichier est lu et affiché par agetty(8) sur les invites de console ou de connexion série.

Cet outil est utilisé automatiquement par systemd-ssh-generator(8) dans les unités de socket AF_VSOCK qu’il génère.

OPTIONS

Les options suivantes sont comprises :

--make-vsock
    Génération du fichier issue. Cette commande n’a pas d’effet dans les systèmes n’ayant pas de prise en charge de AF_VSOCK.

    Ajouté dans la version 258.

--rm-vsock
    Suppression du fichier issue s’il existe.

    Ajouté dans la version 258.

--issue-path=
    Modification du chemin de fichier issue à écrire ou supprimer. S’il n’est pas indiqué, le chemin par défaut est /run/issue.d/50-ssh-vsock.issue. S’il est indiqué sous forme de chaine vide ou « - », le contenu du fichier est affiché sur la sortie standard.

    Ajouté dans la version 258.

-h, --help
    Afficher un aide-mémoire succinct et quitter.

--version
    Afficher une information de version courte et quitter.

CODE DE RETOUR

En cas de succès, 0 est renvoyé, autrement, un code d'échec différent de zéro est renvoyé.

VOIR AUSSI

systemd(1), systemd-ssh-generator(8), vsock(7), ssh(1), sshd(8), agetty(8)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.